Index: doc/bsp_howto/support.t
===================================================================
--- doc/bsp_howto/support.t	(revision 06fee20ac167d70ff13aa14760ecdc2ff6d7b6a7)
+++ doc/bsp_howto/support.t	(revision bc950e878a06243e272493eff8a9509b4e416483)
@@ -7,6 +7,251 @@
 @c
 
-@chapter Required Support Routines
-
-XXX FILL ME IN
-
+@chapter Miscellaneous Support Files
+
+@section GCC Compiler Specifications File
+
+The file @code{bsp_specs} defines the start files and libraries
+that are always used with this BSP.  The format of this file
+is admittedly cryptic and this document will make no attempt
+to explain it completely.  Below is the @code{bsp_specs}
+file from the PowerPC psim BSP:
+
+@example
+@group
+%rename cpp old_cpp
+%rename lib old_lib
+%rename endfile old_endfile
+%rename startfile old_startfile
+%rename link old_link
+
+*cpp:
+%(old_cpp) %@{qrtems: -D__embedded__@} -Asystem(embedded)
+
+*lib:
+%@{!qrtems: %(old_lib)@} %@{qrtems: --start-group \
+%@{!qrtems_debug: -lrtemsall@} %@{qrtems_debug: -lrtemsall_g@} \
+-lc -lgcc --end-group  ecrtn%O%s \
+%@{!qnolinkcmds: -T linkcmds%s@}@}
+
+*startfile:
+%@{!qrtems: %(old_startfile)@} %@{qrtems:  ecrti%O%s \
+%@{!qrtems_debug: startsim.o%s@} \
+%@{qrtems_debug: startsim_g.o%s@}@}
+
+*link:
+%@{!qrtems: %(old_link)@} %@{qrtems: -Qy -dp -Bstatic \
+-T linkcmds%s -e _start -u __vectors@}
+@end group
+@end example
+
+The first section of this file renames the built-in definition of 
+some specification variables so they can be augmented without
+embedded their original definition.  The subsequent sections
+specify what behavior is expected when the @code{-qrtems} or
+@code{-qrtems_debug} option is specified.  
+
+The @code{*cpp} definition specifies that when @code{-qrtems}
+is specified, predefine the preprocessor symbol @code{__embedded__}.
+
+The @code{*lib} section insures that the RTEMS library, BSP specific
+linker script, gcc support library, and the EABI specific @code{ecrtn}
+file are used.
+
+The @code{*startfile} section specifies that the BSP specific file
+@code{startsim.o} will be used instead of @code{crt0.o}.  In addition,
+the EABI specific file @code{ecrti.o} will be linked in with the
+executable.
+
+The @code{*link} section specifies the arguments that will be passed to
+the linker.
+
+The format of this file is specific to the GNU Compiler Suite.  The
+argument used to override and extend the compiler built-in specifications
+is relatively new to the toolset.  The @code{-specs} option is present
+in all @code{egcs} distributions and @code{gcc} distributions starting
+with version 2.8.0.
+
+@section README Files
+
+Most BSPs provide one or more @code{README} files.  Generally, there
+is a @code{README} file at the top of the BSP source.  This file
+describes the board and its hardware configuration, provides vendor
+information, local configuration information, information on downloading
+code to the board, debugging, etc..  The intent of this
+file is to help someone begin to use the BSP faster.  
+
+A @code{README} file in a BSP subdirectory typically explains something
+about the contents of that subdirectory in greater detail.  For example,
+it may list the documentation available for a particular peripheral
+controller and how to obtain that documentation.  It may also explain some
+particularly cryptic part of the software in that directory or provide
+rationale on the implementation.
+
+@section times
+
+This file contains the results of the RTEMS Timing Test Suite.  It is
+in a standard format so that results from one BSP can be easily compared
+with those of another target board.
+
+If a BSP supports multiple variants, then there may be multiple @code{times}
+files.  Usually these are named @code{times.VARIANTn}.
+
+@section Tools Subdirectory
+
+Some BSPs provide additional tools that aid in using the target board.
+These tools run on the development host and are built as part of building
+the BSP.  Most common is a script to automate running the RTEMS Test Suites
+on the BSP.  Examples of this include:
+
+@itemize @bullet
+
+@item @code{powerpc/psim} includes scripts to ease use of the simulator
+
+@item @code{m68k/mvme162} includes a utility to download across the
+VMEbus into target memory if the host is a VMEbus board in the same
+chasis.
+
+@item @code{unix/posix} includes scripts to run the tests automatically 
+on this BSP.
+
+@end itemize
+
+@section bsp.h Include File
+
+The file @code{include/bsp.h} contains prototypes and definitions 
+specific to this board.  Every BSP is required to provide a @code{bsp.h}.
+The best approach to writing a @code{bsp.h} is copying an existing one
+as a starting point.  
+
+Many @code{bsp.h} files provide prototypes of variables defined
+in the linker script (@code{linkcmds}).
+
+There are a number of fields in this file that are used only by the 
+RTEMS Test Suites.  The following is a list of these:
+
+@itemize @bullet
+@item @code{MAX_LONG_TEST_DURATION} - the longest length of time a 
+"long running" test should run.
+
+@item @code{MAX_SHORT_TEST_DURATION} - the longest length of time a
+"short running" test should run.
+
+@item @code{MUST_WAIT_FOR_INTERRUPT} - modifies behavior of @code{tm27}.
+
+@item @code{Install_tm27_vector} - installs the interrupt service 
+routine for the Interrupt Benchmark Test (@code{tm27}).
+
+@item @code{Cause_tm27_intr} - generates the interrupt source
+used in the Interrupt Benchmark Test (@code{tm27}).
+
+@item @code{Clear_tm27_intr} - clears the interrupt source
+used in the Interrupt Benchmark Test (@code{tm27}).
+
+@item @code{Lower_tm27_intr} - lowers the interrupt mask so the
+interrupt source used in the Interrupt Benchmark Test (@code{tm27})
+can generate a nested interrupt.
+
+@end itemize
+
+@section Calling Overhead File
+
+The file @code{include/coverhd.h} contains the overhead associated
+with invoking each directive.  This overhead consists of the execution
+time required to package the parameters as well as to execute the "jump to
+subroutine" and "return from subroutine" sequence.  The intent of this
+file is to help separate the calling overhead from the actual execution
+time of a directive.  This file is only used by the tests in the
+RTEMS Timing Test Suite.
+
+The numbers in this file are obtained by running the "Timer Overhead"
+@code{tmoverhd} test.  The numbers in this file may be 0 and no
+overhead is subtracted from the directive execution times reported by
+the Timing Suite.
+
+@section sbrk() Implementation
+
+If the BSP wants to dynamically extend the heap used by the
+C Library memory allocation routines (i.e. @code{malloc} family),
+then this routine must be functional.  The following is the 
+prototype for this routine:
+
+@example
+void * sbrk(size_t increment)
+@end example
+
+The @code{increment} amount is based upon the @code{sbrk_amount}
+parameter passed to the @code{RTEMS_Malloc_Initialize} during system
+initialization.
+See @ref{Initialization Code RTEMS Pretasking Callback} for more
+information.
+
+There is a default implementation which returns an error to indicate
+that the heap can not be extended.  This implementation can be
+found in @code{c/src/lib/libbsp/shared/sbrk.c}.  Many of the BSPs
+use this shared implementation.  In order to use this implementation,
+the file @code{Makefile.in} in the BSP's @code{startup} directory
+must be modified so that the @code{$VPATH} variable searches
+both the @code{startup} directory and the shared directory.  The following
+illustates the @code{VPATH} setting in the PowerPC psim BSP's 
+@code{startup/Makefile.in}:
+
+@example
+VPATH = @@srcdir@@:@@srcdir@@/../../../shared
+@end example
+
+This instructs make to look in all of the directories in the @code{VPATH}
+for the source files.  The directories will be examined in the order
+they are specified.
+
+@section bsp_cleanup() - Cleanup the Hardware
+
+The @code{bsp_cleanup()} is the last C code invoked.  Most of the BSPs
+use the same shared version of @code{bsp_cleanup()} that does nothing.
+This implementation is located in the following file:
+
+@example
+c/src/lib/libbsp/shared/bspclean.c
+@end example
+
+The @code{bsp_cleanup()} routine can be used to return to a ROM monitor,
+insure that interrupt sources are disabled, etc..  This routine is the
+last place to insure a clean shutdown of the hardware.
+
+@section set_vector() - Install an Interrupt Vector
+
+The @code{set_vector} routine is responsible for installing an interrupt
+vector.  It invokes the support routines necessary to install an
+interrupt handler as either a "raw" or an RTEMS interrupt handler.  Raw
+handlers bypass the RTEMS interrupt structure and are responsible for 
+saving and restoring all their own registers.  Raw handlers are useful
+for handling traps, debug vectors, etc..
+
+The @code{set_vector} routine is a central place to perform 
+interrupt controller manipulation and encapsulate that information.  
+It is usually implemented as follows:
+
+@example
+@group
+rtems_isr_entry set_vector(                     /* returns old vector */
+  rtems_isr_entry     handler,                  /* isr routine        */
+  rtems_vector_number vector,                   /* vector number      */
+  int                 type                      /* RTEMS or RAW intr  */
+) 
+@{ 
+  if the type is RAW
+    install the raw vector
+  else
+    use rtems_interrupt_catch to install the vector
+
+  perform any interrupt controller necessary to unmask
+    the interrupt source
+
+  return the previous handler
+@}
+@end group
+@end example
+
+
+@b{NOTE:}  @code{set_vector} is provided by the majority of BSPs but
+not all.  In particular, the i386 BSPs use a different scheme.  
+
Index: doc/bsp_howto/timer.t
===================================================================
--- doc/bsp_howto/timer.t	(revision 06fee20ac167d70ff13aa14760ecdc2ff6d7b6a7)
+++ doc/bsp_howto/timer.t	(revision bc950e878a06243e272493eff8a9509b4e416483)
@@ -9,17 +9,101 @@
 @chapter Timer Driver
 
-You can program the timer driver for your own needs, but here are two uses
-of it: 
+The timer driver is primarily used by the RTEMS Timing Tests.  
+This driver provides as accurate a benchmark timer as possible.
+It typically reports its time in microseconds, CPU cycles, or
+bus cycles.  This information can be very useful for determining
+precisely what pieces of code require optimization and to measure the
+impact of specific minor changes.
 
-@section UART'S FIFO Full Mode
+The gen68340 BSP also uses the TImer Driver to support a high performance
+mode of the on-CPU UART.
+
+@section Benchmark Timer
+
+The RTEMS Timing Test Suite requires a benchmark timer.  The
+RTEMS Timing Test Suite is very helpful for determining
+the performance of target hardware and comparing its performance
+to that of other RTEMS targets.
+
+This section describes the routines which are assumed to exist by
+the RTEMS Timing Test Suite.  The names used are @b{EXACTLY} what
+is used in the RTEMS Timing Test Suite so follow the naming convention.
+
+@subsection Timer_initialize
+
+Initialize the timer source.
+
+@example
+void Timer_initialize(void)
+@{
+  initialize the benchmark timer
+@}
+@end example
+
+@subsection Read_timer
+
+The @code{Read_timer} routine 
+returns the number of benchmark time units (typically microseconds)
+that have elapsed since the last call to @code{Timer_initialize}. 
+
+@example
+int Read_timer(void)
+@{
+  stop time = read the hardware timer
+  if the subtract overhead feature is enabled
+    subtract overhead from stop time 
+  return the stop time
+@}
+@end example
+
+Many implementations of this routine subtract the overhead required
+to initialize and read the benchmark timer.  This makes the times reported
+more accurate.
+
+Some implementations report 0 if the harware timer value change is 
+sufficiently small.  This is intended to indicate that the execution time 
+is below the resolution of the timer.
+
+@subsection An Empty Function
+
+This routine is invoked by the RTEMS Timing Test Suite to measure 
+the cost of invoking a subroutine.
+
+@example
+rtems_status_code Empty_function (void)
+@{
+  return RTEMS_SUCCESSFUL;
+@}
+@end example
+
+@subsection Set_find_average_overhead
+
+This routine is invoked by the "Check Timer" (@code{tmck}) test in the 
+RTEMS Timing Test Suite.  It makes the @code{Read_timer}
+routine NOT subtract the overhead required
+to initialize and read the benchmark timer.  This is used
+by the @code{tmoverhd} test to determine the overhead
+required to initialize and read the timer.
+
+@example
+void Set_find_average_overhead(rtems_boolean find_flag)
+@{
+    disable the subtract overhead feature
+@}
+@end example
+
+The @code{Timer_driver_Find_average_overhead} variable is usually
+used to indicate the state of the "subtract overhead feature".
+
+@section gen68340 UART FIFO Full Mode
 
 The gen68340 BSP is an example of the use of the timer to support the UART
 input FIFO full mode (FIFO means First In First Out and roughly means
 buffer). This mode consists in the UART raising an interrupt when n
-characters have been received (n is the UA RT's FIFO length). It results
+characters have been received (@i{n} is the UART's FIFO length). It results
 in a lower interrupt processing time, but the problem is that a scanf
-primitive will block on a receipt of less than n characters. The solution
+primitive will block on a receipt of less than @i{n} characters. The solution
 is to set a timer that will check whether there are some characters
-waiting in th e UART's input FIFO. The delay time has to be set carefully
+waiting in the UART's input FIFO. The delay time has to be set carefully
 otherwise high rates will be broken: 
 
@@ -29,46 +113,9 @@
 entered, set a long delay,
 
-@item otherwise set the delay to the delay needed for n characters
+@item otherwise set the delay to the delay needed for @i{n} characters
 receipt. 
 
 @end itemize
 
-@section Measuring RTEMS Primitives Time
-
-RTEMS Timing Test Suite needs a timer support. You have to provide two
-primitives: 
 
 
-
-Function
-
-Description
-
-@example
-void Timer_initialize (void)
-@end example
-
-Initialize the timer to be a counter to the microsecond.
-
-@example
-int Read_timer (void)
-@end example
-
-Returns the number of microseconds elapsed since the last call to
-Timer_initialize. 
-
-@example
-rtems_status_code Empty_function (void)
-
-return RTEMS_SUCCESSFUL;
-@end example
-
-@example
-void Set_find_average_overhead (rtems_boolean find_flag)
-@end example
-
-DOES NOTHING ??????????
-
-		
-
-
Index: doc/networking/driver.t
===================================================================
--- doc/networking/driver.t	(revision 06fee20ac167d70ff13aa14760ecdc2ff6d7b6a7)
+++ doc/networking/driver.t	(revision bc950e878a06243e272493eff8a9509b4e416483)
@@ -9,5 +9,5 @@
 @c
 
-@chapter Writing RTEMS Network Device Drivers
+@chapter Networking Driver
 
 @section Introduction
Index: doc/new_chapters/Makefile
===================================================================
--- doc/new_chapters/Makefile	(revision 06fee20ac167d70ff13aa14760ecdc2ff6d7b6a7)
+++ doc/new_chapters/Makefile	(revision bc950e878a06243e272493eff8a9509b4e416483)
@@ -24,5 +24,6 @@
    io.texi key.texi memorymgmt.texi message.texi mutex.texi procenv.texi \
    process.texi sched.texi semaphores.texi signal.texi systemdb.texi \
-   thread.texi
+   thread.texi \
+   stackchk.texi rtmonuse.texi cpuuse.texi error.texi monitor.texi
 
 FILES= posix_users.texi preface.texi \
@@ -54,5 +55,4 @@
 	$(TEXI2WWW) $(TEXI2WWW_ARGS) -dir $(WWW_INSTALL)/$(PROJECT) \
  	    posix_users.texi
-
 
 clean:
@@ -171,2 +171,26 @@
 	    -n "" ${*}.t
 
+stackchk.texi: stackchk.t Makefile
+	$(BMENU) -p "" \
+            -u "Top" \
+            -n "" ${*}.t
+
+rtmonuse.texi: rtmonuse.t Makefile
+	$(BMENU) -p "" \
+            -u "Top" \
+            -n "" ${*}.t
+
+cpuuse.texi: cpuuse.t Makefile
+	$(BMENU) -p "" \
+            -u "Top" \
+            -n "" ${*}.t
+
+error.texi: error.t Makefile
+	$(BMENU) -p "" \
+            -u "Top" \
+            -n "" ${*}.t
+
+monitor.texi: monitor.t Makefile
+	$(BMENU) -p "" \
+            -u "Top" \
+            -n "" ${*}.t
Index: doc/new_chapters/files.t
===================================================================
--- doc/new_chapters/files.t	(revision 06fee20ac167d70ff13aa14760ecdc2ff6d7b6a7)
+++ doc/new_chapters/files.t	(revision bc950e878a06243e272493eff8a9509b4e416483)
@@ -29,4 +29,6 @@
 @item @code{umask} - Sets a file creation mask
 @item @code{link} - Creates a link to a file
+@item @code{symlink} - Creates a symbolic link to a file
+@item @code{readlink} - Obtain the name of the link destination
 @item @code{mkdir} - Makes a directory
 @item @code{mkfifo} - Makes a FIFO special file
@@ -742,4 +744,131 @@
 
 @page
+@subsection symlink - Creates a symbolic link to a file
+
+@subheading CALLING SEQUENCE:
+
+@ifset is-C
+@example
+#include <unistd.h>
+
+int symlink(
+  const char *topath,
+  const char *frompath
+);
+@end example
+@end ifset
+
+@ifset is-Ada
+@end ifset
+
+@subheading STATUS CODES:
+
+@table @b
+
+@item EACCES
+Search permission is denied for a directory in a file's path prefix
+
+@item EEXIST
+The named file already exists.
+
+@item ENAMETOOLONG
+Length of a filename string exceeds PATH_MAX and _POSIX_NO_TRUNC is in
+effect.
+
+@item ENOENT
+A file or directory does not exist.
+
+@item ENOSPC
+No space left on disk.
+
+@item ENOTDIR
+A component of the specified pathname was not a directory when a directory
+was expected.
+
+@item EPERM
+Operation is not permitted.  Process does not have the appropriate priviledges
+or permissions to perform the requested operations. 
+
+@item EROFS
+Read-only file system.
+
+@end table
+
+@subheading DESCRIPTION:
+
+The @code{symlink()} function creates a symbolic link from the frombath to the
+topath.  The symbolic link will be interpreted at run-time.
+
+If the @code{symlink()} function fails, no directories are modified.
+
+The caller may (or may not) need permission to access the existing file.
+
+@subheading NOTES:
+
+NONE
+
+@page
+@subsection readlink - Obtain the name of a symbolic link destination
+
+@subheading CALLING SEQUENCE:
+
+@ifset is-C
+@example
+#include <unistd.h>
+
+int readlink(
+  const char *path,
+  char       *buf,
+  size_t      bufsize
+);
+
+@end example
+@end ifset
+
+@ifset is-Ada
+@end ifset
+
+@subheading STATUS CODES:
+
+@table @b
+
+@item EACCES
+Search permission is denied for a directory in a file's path prefix
+
+@item ENAMETOOLONG
+Length of a filename string exceeds PATH_MAX and _POSIX_NO_TRUNC is in
+effect.
+
+@item ENOENT
+A file or directory does not exist.
+
+@item ENOTDIR
+A component of the prefix pathname was not a directory when a directory
+was expected.
+
+@item ELOOP
+Too many symbolic links were encountered in the pathname.
+
+@item EINVAL
+The pathname does not refer to a symbolic link
+
+@item EFAULT
+An invalid pointer was passed into the @code{readlink()} routine.
+
+@end table
+
+@subheading DESCRIPTION:
+
+The @code{readlink()} function places the symbolic link destination into 
+@code{buf} argument and returns the number of characters copied.
+
+If the symbolic link destination is longer than bufsize characters the 
+name will be truncated.
+
+@subheading NOTES:
+
+NONE
+
+@page
 @subsection mkdir - Makes a directory
 
Index: doc/new_chapters/gen_section
===================================================================
--- doc/new_chapters/gen_section	(revision 06fee20ac167d70ff13aa14760ecdc2ff6d7b6a7)
+++ doc/new_chapters/gen_section	(revision bc950e878a06243e272493eff8a9509b4e416483)
@@ -130,4 +130,30 @@
        strpbrk strrchr strspn strstr strtok stlen"
     ;;
+  misc_stackchk)
+    CHAPTER_CAPS="Stack Bounds Checker"
+    CHAPTER_LOWER="stack bounds checker"
+    ROUTINES="Stack_check_Initialize Stack_check_Dump_usage"
+    ;;
+  misc_rtmonuse)
+    CHAPTER_CAPS="Rate Monotonic Period Statistics"
+    CHAPTER_LOWER="rate monotonic period statistics"
+    ROUTINES="Period_usage_Initialize Period_usage_Reset \
+        Period_usage_Update Period_usage_Dump"
+    ;;
+  misc_cpuuse)
+    CHAPTER_CAPS="CPU Usage Statistics"
+    CHAPTER_LOWER="CPU usage statistics"
+    ROUTINES="CPU_usage_Dump CPU_usage_Reset"
+    ;;
+  misc_error)
+    CHAPTER_CAPS="Error Reporting Support"
+    CHAPTER_LOWER="error reporting support"
+    ROUTINES="rtems_error rtems_panic"
+    ;;
+  misc_monitor)
+    CHAPTER_CAPS="Monitor Task"
+    CHAPTER_LOWER="monitor task"
+    ROUTINES="rtems_monitor_init rtems_monitor_wakeup"
+    ;;
   *)
     echo "Unknown chapter name"
Index: doc/new_chapters/signal.t
===================================================================
--- doc/new_chapters/signal.t	(revision 06fee20ac167d70ff13aa14760ecdc2ff6d7b6a7)
+++ doc/new_chapters/signal.t	(revision bc950e878a06243e272493eff8a9509b4e416483)
@@ -109,4 +109,6 @@
 @subheading NOTES:
 
+NONE
+
 @page
 @subsection sigdelset - Delete a Signal from a Signal Set
Index: doc/posix1003.1/Makefile
===================================================================
--- doc/posix1003.1/Makefile	(revision 06fee20ac167d70ff13aa14760ecdc2ff6d7b6a7)
+++ doc/posix1003.1/Makefile	(revision bc950e878a06243e272493eff8a9509b4e416483)
@@ -46,5 +46,5 @@
 $(PROJECT).dvi: $(FILES)
 	$(TEXI2DVI) -v $(PROJECT).texi
-	texi2dvi $(PROJECT).texi
+	texi2dvi -v $(PROJECT).texi
 
 ch01.texi: ch01.t
Index: doc/posix1003.1/ch06.t
===================================================================
--- doc/posix1003.1/ch06.t	(revision 06fee20ac167d70ff13aa14760ecdc2ff6d7b6a7)
+++ doc/posix1003.1/ch06.t	(revision bc950e878a06243e272493eff8a9509b4e416483)
@@ -23,5 +23,5 @@
 @example
 dup(), Function, Implemented
-dup2(), Function, Untested Implementation
+dup2(), Function, Untested Iimplementation
 @end example
 
Index: doc/posix1003.1/ch14.t
===================================================================
--- doc/posix1003.1/ch14.t	(revision 06fee20ac167d70ff13aa14760ecdc2ff6d7b6a7)
+++ doc/posix1003.1/ch14.t	(revision bc950e878a06243e272493eff8a9509b4e416483)
@@ -47,5 +47,5 @@
 
 @example
-timer_create(), Function, Implemented
+timer_create(), Function, Dummy Implementation
 @end example
 
@@ -53,5 +53,5 @@
 
 @example
-timer_delete(), Function, Implemented
+timer_delete(), Function, Dummy Implementation
 @end example
 
@@ -59,7 +59,7 @@
 
 @example
-timer_settime(), Function, Implemented
-timer_gettime(), Function, Implemented
-timer_getoverrun(), Function, Implemented
+timer_settime(), Function, Dummy Implementation
+timer_gettime(), Function, Dummy Implementation
+timer_getoverrun(), Function, Dummy Implementation
 @end example
 
Index: doc/started/Makefile
===================================================================
--- doc/started/Makefile	(revision 06fee20ac167d70ff13aa14760ecdc2ff6d7b6a7)
+++ doc/started/Makefile	(revision bc950e878a06243e272493eff8a9509b4e416483)
@@ -42,6 +42,6 @@
 # run texi2dvi twice to generate the xref's properly.
 $(PROJECT).dvi: $(FILES)
-	$(TEXI2DVI) $(PROJECT).texi
-	texi2dvi $(PROJECT).texi
+	$(TEXI2DVI) -v $(PROJECT).texi
+	texi2dvi -v $(PROJECT).texi
 
 intro.texi: intro.t versions.texi
Index: doc/supplements/hppa1_1/cputable.t
===================================================================
--- doc/supplements/hppa1_1/cputable.t	(revision 06fee20ac167d70ff13aa14760ecdc2ff6d7b6a7)
+++ doc/supplements/hppa1_1/cputable.t	(revision bc950e878a06243e272493eff8a9509b4e416483)
@@ -48,24 +48,22 @@
 @table @code
 @item pretasking_hook
-is the address of the
-user provided routine which is invoked once RTEMS initialization
-is complete but before interrupts and tasking are enabled.  This
-field may be NULL to indicate that the hook is not utilized.
+is the address of the user provided routine which is invoked
+once RTEMS APIs are initialized.  This routine will be invoked
+before any system tasks are created.  Interrupts are disabled.
+This field may be NULL to indicate that the hook is not utilized.
 
 @item predriver_hook
 is the address of the user provided
-routine which is invoked with tasking enabled immediately before
-the MPCI and device drivers are initialized. RTEMS
-initialization is complete, interrupts and tasking are enabled,
-but no device drivers are initialized.  This field may be NULL to
-indicate that the hook is not utilized.
+routine that is invoked immediately before the 
+the device drivers and MPCI are initialized. RTEMS
+initialization is complete but interrupts and tasking are disabled.
+This field may be NULL to indicate that the hook is not utilized.
 
 @item postdriver_hook
 is the address of the user provided
-routine which is invoked with tasking enabled immediately after
-the MPCI and device drivers are initialized. RTEMS
-initialization is complete, interrupts and tasking are enabled,
-and the device drivers are initialized.  This field may be NULL
-to indicate that the hook is not utilized.
+routine that is invoked immediately after the 
+the device drivers and MPCI are initialized. RTEMS
+initialization is complete but interrupts and tasking are disabled.
+This field may be NULL to indicate that the hook is not utilized.
 
 @item idle_task
Index: doc/supplements/i386/cputable.t
===================================================================
--- doc/supplements/i386/cputable.t	(revision 06fee20ac167d70ff13aa14760ecdc2ff6d7b6a7)
+++ doc/supplements/i386/cputable.t	(revision bc950e878a06243e272493eff8a9509b4e416483)
@@ -47,24 +47,22 @@
 @table @code
 @item pretasking_hook
-is the address of the
-user provided routine which is invoked once RTEMS initialization
-is complete but before interrupts and tasking are enabled.  This
-field may be NULL to indicate that the hook is not utilized.
+is the address of the user provided routine which is invoked
+once RTEMS APIs are initialized.  This routine will be invoked
+before any system tasks are created.  Interrupts are disabled.
+This field may be NULL to indicate that the hook is not utilized.
 
 @item predriver_hook
 is the address of the user provided
-routine which is invoked with tasking enabled immediately before
-the MPCI and device drivers are initialized. RTEMS
-initialization is complete, interrupts and tasking are enabled,
-but no device drivers are initialized.  This field may be NULL to
-indicate that the hook is not utilized.
+routine that is invoked immediately before the
+the device drivers and MPCI are initialized. RTEMS
+initialization is complete but interrupts and tasking are disabled.
+This field may be NULL to indicate that the hook is not utilized.
 
 @item postdriver_hook
 is the address of the user provided
-routine which is invoked with tasking enabled immediately after
-the MPCI and device drivers are initialized. RTEMS
-initialization is complete, interrupts and tasking are enabled,
-and the device drivers are initialized.  This field may be NULL
-to indicate that the hook is not utilized.
+routine that is invoked immediately after the
+the device drivers and MPCI are initialized. RTEMS
+initialization is complete but interrupts and tasking are disabled.
+This field may be NULL to indicate that the hook is not utilized.
 
 @item idle_task
Index: doc/supplements/i960/cputable.t
===================================================================
--- doc/supplements/i960/cputable.t	(revision 06fee20ac167d70ff13aa14760ecdc2ff6d7b6a7)
+++ doc/supplements/i960/cputable.t	(revision bc950e878a06243e272493eff8a9509b4e416483)
@@ -55,24 +55,22 @@
 @table @code
 @item pretasking_hook
-is the address of the
-user provided routine which is invoked once RTEMS initialization
-is complete but before interrupts and tasking are enabled.  This
-field may be NULL to indicate that the hook is not utilized.
+is the address of the user provided routine which is invoked
+once RTEMS APIs are initialized.  This routine will be invoked
+before any system tasks are created.  Interrupts are disabled.
+This field may be NULL to indicate that the hook is not utilized.
 
 @item predriver_hook
 is the address of the user provided
-routine which is invoked with tasking enabled immediately before
-the MPCI and device drivers are initialized. RTEMS
-initialization is complete, interrupts and tasking are enabled,
-but no device drivers are initialized.  This field may be NULL to
-indicate that the hook is not utilized.
+routine that is invoked immediately before the
+the device drivers and MPCI are initialized. RTEMS
+initialization is complete but interrupts and tasking are disabled.
+This field may be NULL to indicate that the hook is not utilized.
 
 @item postdriver_hook
 is the address of the user provided
-routine which is invoked with tasking enabled immediately after
-the MPCI and device drivers are initialized. RTEMS
-initialization is complete, interrupts and tasking are enabled,
-and the device drivers are initialized.  This field may be NULL
-to indicate that the hook is not utilized.
+routine that is invoked immediately after the
+the device drivers and MPCI are initialized. RTEMS
+initialization is complete but interrupts and tasking are disabled.
+This field may be NULL to indicate that the hook is not utilized.
 
 @item idle_task
Index: doc/supplements/m68k/cputable.t
===================================================================
--- doc/supplements/m68k/cputable.t	(revision 06fee20ac167d70ff13aa14760ecdc2ff6d7b6a7)
+++ doc/supplements/m68k/cputable.t	(revision bc950e878a06243e272493eff8a9509b4e416483)
@@ -48,24 +48,22 @@
 @table @code
 @item pretasking_hook
-is the address of the
-user provided routine which is invoked once RTEMS initialization
-is complete but before interrupts and tasking are enabled.  This
-field may be NULL to indicate that the hook is not utilized.
+is the address of the user provided routine which is invoked
+once RTEMS APIs are initialized.  This routine will be invoked
+before any system tasks are created.  Interrupts are disabled.
+This field may be NULL to indicate that the hook is not utilized.
 
 @item predriver_hook
 is the address of the user provided
-routine which is invoked with tasking enabled immediately before
-the MPCI and device drivers are initialized. RTEMS
-initialization is complete, interrupts and tasking are enabled,
-but no device drivers are initialized.  This field may be NULL to
-indicate that the hook is not utilized.
+routine that is invoked immediately before the
+the device drivers and MPCI are initialized. RTEMS
+initialization is complete but interrupts and tasking are disabled.
+This field may be NULL to indicate that the hook is not utilized.
 
 @item postdriver_hook
 is the address of the user provided
-routine which is invoked with tasking enabled immediately after
-the MPCI and device drivers are initialized. RTEMS
-initialization is complete, interrupts and tasking are enabled,
-and the device drivers are initialized.  This field may be NULL
-to indicate that the hook is not utilized.
+routine that is invoked immediately after the
+the device drivers and MPCI are initialized. RTEMS
+initialization is complete but interrupts and tasking are disabled.
+This field may be NULL to indicate that the hook is not utilized.
 
 @item idle_task
